Bug 405401 - chkconfig assign incorrect priorities to services init scripts in /etc/rc?.d
chkconfig assign incorrect priorities to services init scripts in /etc/rc?.d
Product: Fedora
Classification: Fedora
Component: chkconfig (Show other bugs)
i386 Linux
low Severity urgent
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: 408211 (view as bug list)
Depends On: 372101
  Show dependency treegraph
Reported: 2007-11-30 00:20 EST by Igor A Tarasov
Modified: 2014-03-16 23:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-30 12:21:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Igor A Tarasov 2007-11-30 00:20:45 EST
[root@linux rc5.d]# rpm -q chkconfig

BEFORE using chkconfig:

[root@linux rc5.d]# head /etc/init.d/messagebus
# messagebus:   The D-BUS systemwide message bus
# chkconfig: 345 22 85

[root@linux rc5.d]# ls -1 /etc/rc5.d/*messagebus*

And service start in expected order 22 as specified in init script header.

AFTER using chkconfig:

[root@linux rc5.d]# chkconfig messagebus off
[root@linux rc5.d]# ls -1 /etc/rc5.d/*messagebus*

[root@linux rc5.d]# chkconfig messagebus on
[root@linux rc5.d]# ls -1 /etc/rc5.d/*messagebus*

Now, service start at last order 99 !!! And after using chkconfig or 
system-config-services ALL services change start order to 99 !!!
All my system become to broken and unusable state, because some services can't 
start before other start. For example haldaemon wan't start before messagebus 
and sendmail don't start before named and so on...

Workaround: manually adjust symlinks in /etc/rc?.d to right name.
Comment 1 Bill Nottingham 2007-11-30 11:24:52 EST
It's applying the LSB dependencies.

dbus requires: $syslog $local_fs

What do you have that provides those, and what do they require, etc?
Comment 2 Igor A Tarasov 2007-11-30 12:21:24 EST
dbus provides: messagebus, requires: $syslog $local_fs
rsyslog: provides $syslog, requires: $local_fs $network $remote_fs
netfs: provides $local_fs $remote_fs
network: provides $network

Sorry, i understand my mistale
I was change netfs init script priorities, that it stop _before_ NetworkManager 
to umount CIFS file system before NetworkManager stop and disconnect WiFi.
Comment 3 Bill Nottingham 2007-12-03 13:21:55 EST
*** Bug 408211 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.